Package net.dona.doip.client

# Class TokenAuthenticationInfo

java.lang.Object
net.dona.doip.client.TokenAuthenticationInfo

All Implemented Interfaces:
  `AuthenticationInfo`

public class TokenAuthenticationInfo extends Object implements AuthenticationInfo
An `AuthenticationInfo` which supplies a specified token for a specified clientId.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `TokenAuthenticationInfo(String clientId, String token)`
  `TokenAuthenticationInfo(String clientId, String token, String asUserId)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `com.google.gson.JsonObject`
  `getAuthentication()`
  Returns the authentication property to be supplied with the initial segment of DOIP requests.
  `String`
  `getClientId()`
  Returns the clientId to be supplied with the initial segment of DOIP requests.

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### TokenAuthenticationInfo

    public TokenAuthenticationInfo(String clientId, String token)

  - ### TokenAuthenticationInfo

    public TokenAuthenticationInfo(String clientId, String token, String asUserId)

- ## Method Details

  - ### getClientId

    public String getClientId()
    Description copied from interface: `AuthenticationInfo`
    Returns the clientId to be supplied with the initial segment of DOIP requests.
    Specified by:
      `getClientId` in interface `AuthenticationInfo`
    Returns:
      the clientId to be supplied with the initial segment of DOIP requests

  - ### getAuthentication

    public com.google.gson.JsonObject getAuthentication()
    Description copied from interface: `AuthenticationInfo`
    Returns the authentication property to be supplied with the initial segment of DOIP requests.
    Specified by:
      `getAuthentication` in interface `AuthenticationInfo`
    Returns:
      the authentication property to be supplied with the initial segment of DOIP requests